#!/usr/bin/env python
# Most of the code here borrowed from Jeremy Hylton
# http://www.python.org/~jeremy/weblog/030924.html

classifiers = """\
Development Status :: 4 - Beta
Intended Audience :: Developers
License :: OSI Approved :: GNU General Public License (GPL)
Operating System :: POSIX
Programming Language :: Python
Topic :: Software Development :: Libraries :: Python Modules
Topic :: System :: Archiving
"""

import sys

if sys.version_info < (2, 3):
    _setup = setup
    def setup(**kwargs):
        if kwargs.has_key("classifiers"):
            del kwargs["classifiers"]
        _setup(**kwargs)

from distutils.core import setup
import dirstore

setup(name = "dirstore",
      version = dirstore.version,
      maintainer = "Joe Wreschnig",
      maintainer_email = "piman@sacredchao.net",
      license = dirstore.__license__,
      author_email = "piman@sacredchao.net",
      platforms = ["any"],
      description = "dirstore - generic access to archive formats",
      long_description = dirstore.__doc__,
      url = "http://kai.vm.bytemark.co.uk/~piman/software.shtml#dirstore",
      classifiers = filter(None, classifiers.split("\n")),
      py_modules=["dirstore"])
