from dirstore import *

if __name__ == "__main__":
    try:
        require("99")
        raise SystemExit("Apparently our version is > 99?")
    except ImportError: pass
    require(version)
    require("0.0.0")
    try:
        DirStore("asdf")
        raise SystemExit("Non-existant file shouldn't load!")
    except UnknownStoreType: pass
    try:
        DirStore("garbage")
        raise SystemExit("Garbage file shouldn't load!")
    except UnknownStoreType: pass

    for f in ["somedir", "test.tar", "test.tar.bz2", "test.tar.gz", "test.zip",
              "tb2_bad_ext.txt"]:
        print "Checking %s..." % f
        tdir = DirStore(f)
        assert("bar" in tdir)
        assert("baz" not in tdir)
        assert(tdir.verify() != DirStore.BAD)
        assert(tdir.read("bar") == "this is a test\n")
        assert(tdir.open("foo").read() == "la la la\n")
        assert(tdir["foo"].read() == tdir.read("foo"))
        assert(tdir["bar"].read() == tdir.read("bar"))
        assert(tdir.ls() == tdir.namelist())
        a = [i.name for i in tdir]
        a.sort()
        assert(a == ["bar", "foo", "garbage", "whee"])

        inf = tdir.info("whee")
        assert(inf.name == "whee")
        assert(inf.size == 0 or inf.size == -1)
        assert(tdir[inf].read() == tdir.read(inf))
        inf2 = tdir.info("bar")
        assert(inf2.name == "bar")
        assert(inf2.size == 15 or inf.size == -1)
        assert(inf2.read() == tdir.read(inf2))

    print "All tests passed successfully."
